> ## Documentation Index
> Fetch the complete documentation index at: https://docs.halth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send payment link

> Send a payment link to the client



## OpenAPI

````yaml https://api.halth.com/v1/api-yaml post /v1/payment-links/{paymentLinkId}/notifications
openapi: 3.0.0
info:
  title: HaltH API
  description: The API for the HaltH platform business services
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.halth.com
    description: Production
  - url: https://api.stg.halth.com
    description: Staging
security: []
tags: []
paths:
  /v1/payment-links/{paymentLinkId}/notifications:
    post:
      tags:
        - Payment Link
      summary: Send payment link
      description: Send a payment link to the client
      operationId: PaymentLinkController_sendPaymentLink
      parameters:
        - name: paymentLinkId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PaymentLinkSendParams'
      responses:
        '201':
          description: ''
components:
  schemas:
    PaymentLinkSendParams:
      type: object
      properties:
        client:
          $ref: '#/components/schemas/PaymentLinkSendClientParams'
      description: >-
        The parameters for creating a transaction receipt must include at least
        one of client email or mobile number
      required:
        - client
    PaymentLinkSendClientParams:
      type: object
      properties:
        name:
          type: string
          description: The name of the client to include in communications
        email:
          type: string
          format: email
          description: The recipient email address
        mobileNumber:
          type: string
          format: mobile-phone
          description: The recipient mobile number

````